콘텐츠로 건너뛰기
ShopentlyLearn

결제 상태 변경

계좌 이체 확인 후와 같이 기록된 결제 상태를 변경합니다. 새 상태, 현재 결제 버전, 변경 이유를 보내세요.

PATCH/api/v1/orders/{order_id}/payment-status

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/orders/order-0000/payment-status \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-adjust_payment_status_api_v1_orders__order_id__payment_status_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":0,"reason":"Bank transfer confirmed","status":"paid"}'

응답

{
  "data": {
    "deleted": false,
    "id": "payment-0000",
    "version": 2
  },
  "meta": {
    "request_id": "example"
  }
}

필수 권한

최소 요금제
BASIC
키 권한
결제 상태 조정payments.payment:adjust_status